# StatusEvent

interface StatusEvent : ProgressEvent

An event that informs about an interim results of the operation.

#### Since

3.5

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getProgress
Link copied to clipboard
abstract fun getProgress(): Long
The amount of work already performed by the build operation.
getTotal
Link copied to clipboard
abstract fun getTotal(): Long
The total amount of work that the build operation is in the progress of performing, or -1 if not known.
getUnit
Link copied to clipboard
abstract fun getUnit(): String
The measure used to express the amount of work.